Bug 104988 - No Vilnius in weather station list
Summary: No Vilnius in weather station list
Status: RESOLVED FIXED
Alias: None
Product: kweather-kde3
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: geiseri
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-02 23:08 UTC by Jonas Jasas
Modified: 2006-10-21 10:19 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Adds "LT" to EU states (451 bytes, patch)
2005-11-17 12:30 UTC, Modestas Vainius
Details
Additional stations in Lithuania (325 bytes, patch)
2005-11-17 12:50 UTC, Modestas Vainius
Details
Adds Lithuania and Lithuanian weather stations to the list (692 bytes, patch)
2006-10-20 20:02 UTC, Modestas Vainius
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Jasas 2005-05-02 23:08:15 UTC
Version:           2.1.0 (using KDE KDE 3.4.0)
Installed from:    Unspecified Linux
OS:                Linux

There is no Vilnius (Lithuania) in station list. On Gnome weather applet there is even 3 stations that are in Lithuania. I use Kubuntu.
Comment 1 Modestas Vainius 2005-11-17 12:27:56 UTC
I can confirm this. I'm running KDE 3.5rc1 on debian unstable. That's because Lithuania is missing from the EU "states". I attach the patch which fixes this.
Comment 2 Modestas Vainius 2005-11-17 12:30:50 UTC
Created attachment 13507 [details]
Adds "LT" to EU states
Comment 3 Modestas Vainius 2005-11-17 12:49:35 UTC
There are a few other weather stations (in addition to Vilnius) in Lithunia which are accessible. I attach the patch which adds them to the list of available stations (against kweather in kde3.5rc1).
Comment 4 Modestas Vainius 2005-11-17 12:50:18 UTC
Created attachment 13508 [details]
Additional stations in Lithuania
Comment 5 Sharunas MAtonis 2006-10-20 19:08:53 UTC
Yes, could please fix kweather program, and add Lithuania weather stations ? Kaunas, Vilnius ?
Comment 6 Modestas Vainius 2006-10-20 19:59:59 UTC
A yeah and a half has passed and this trivial bug still has not been cared of. I attach a patch againt kde 3.5.5. I hope, if kweather is still maintained, the patch will applied. It's very frustrating for Lithuanians not find their country (and stations) in the list. In the mean time, for us, Lithuanians, there are two solutions:

1) Apply my patch to the weather_stations.desktop (it's location depends on the distribution you are using) file and restart kicker
2) Add a station manually with the following command:
 $ dcop KWeatherService WeatherService addStation <stationID>
where <stationID> is any weather station code. Stations in Lithuania (based on http://weather.noaa.gov/weather/LT_cc.html):

 * EYVI - Vilnius - http://weather.noaa.gov/weather/current/EYVI.html
 * EYKA - Kaunas - http://weather.noaa.gov/weather/current/EYKA.html
 * EYSA - Siauliai Intl./Mil. - http://weather.noaa.gov/weather/current/EYSA.html
 * EYPA - Palanga Intl. - http://weather.noaa.gov/weather/current/EYPA.html
Comment 7 Modestas Vainius 2006-10-20 20:02:11 UTC
Created attachment 18208 [details]
Adds Lithuania and Lithuanian weather stations to the list

It's combined patch of my two above + in addition, I added Kaunas to the list
(thanks Sarunas for the reminder, back in 2005-11 Kaunas was not available).
Comment 8 Fathi Boudra 2006-10-21 10:19:00 UTC
SVN commit 597653 by fabo:

BUG: 104988

Add Lithuania to the country list of kweather. Add weather stations that are
available in Lithuania:
 - Vilnius (EYVI) as "Vilnius"
 - Kaunas (EYKA) as "Kaunas"
 - Siauliai Intl./Mil. (EYSA) as "Siauliai"
 - Palanga Intl. (EYPA) as "Palanga"

Thanks to Modestas Vainius



 M  +4 -1      weather_stations.desktop  


--- trunk/KDE/kdetoys/kweather/weather_stations.desktop #597652:597653
@@ -1654,7 +1654,7 @@
 
 [EU]
 name=Europe
-states=AB OS BE BA BG CZ HR CY DK EE FI FR MK DE GI GR HU IE IS IT LV LU MT MD NL NO PL PT RO RU SK SI SP SE CH TR UA UK YU
+states=AB OS BE BA BG CZ HR CY DK EE FI FR MK DE GI GR HU IE IS IT LV LT LU MT MD NL NO PL PT RO RU SK SI SP SE CH TR UA UK YU
 
 [EU_AB]
 name=Albania
@@ -1760,6 +1760,9 @@
 [EU_LT]
 name=Lithuania
 loc0=Vilnius EYVI ------ ---
+loc1=Kaunas EYKA ------ ---
+loc2=Siauliai EYSA ------ ---
+loc3=Palanga EYPA ------ ---
 
 [EU_LU]
 name=Luxembourg